package net.northking.cctp.common.http;

/**
 * API接口结果码枚举
 *
 * @author xiusong.xie
 * @since 1.0
 */
public enum ResultCodeEnum
{
  SUCCESS("000000", "接口调用成功"),
  FAIL("100000", "接口调用失敗"),
  EXCEPTION("900000", "接口调用异常");

  /**
   * 结果代码
   */
  private String code;

  /**
   * 结果信息
   */
  private String message;

  /**
   * 构造函数
   *
   * @param code    结果代码
   * @param message 结果信息
   */
  ResultCodeEnum(String code, String message)
  {
    this.code = code;
    this.message = message;
  }

  /**
   * 结果代码
   *
   * @return
   */
  public String getCode()
  {
    return code;
  }

  /**
   * 结果信息
   *
   * @return 结果信息
   */
  public String getMessage()
  {
    return message;
  }
}
